# IDS Mannheim CD adaptation to the [posterdown R package](https://cran.r-project.org/package=posterdown)

## Example Poster

Automatically generated from [skeleton.Rmd](./inst/rmarkdown/templates/posterdown_ids/skeleton/skeleton.Rmd?plain=1):
[![](https://gitlab.ids-mannheim.de/ids/posterdown/-/jobs/artifacts/master/raw/target/skeleton_optimized.svg?job=build-job)<!-- -->](./inst/rmarkdown/templates/posterdown_ids/skeleton/skeleton.Rmd)


## Getting Started

Install with:

```R
remotes::install_git("https://korap.ids-mannheim.de/gerrit/IDS-Mannheim/posterdown")`
```

Now add this to the YAML options of your rmarkdown (.Rmd) file:

```markdown
---
output: 
  posterdown.ids::posterdown_ids
---
```

For further customization options please see the (currently in progress :hammer:) [wiki](https://github.com/brentthorne/posterdown/wiki)

### Additional metadata / customization for IDS version, e.g.:
```markdown
subtitle: Using RMarkdown and `posterdown.ids::posterdown_ids`
contact:
    name: Marc Kupietz
    department: Digital Linguistics
    email: kupietz@ids-mannheim.de
    website: "http://korap.ids-mannheim.de/instance/icc"
    qrlink: >
      `r posterdown.ids::qrlink('https://gitlab.ids-mannheim.de/ids/posterdown')`
```

## Use without R for plain markdown

Install [pandoc](https://pandoc.org/installing.html), create a simple `poster.md` file, for
example:

```markdown
---
title: "A Simple Test Poster"
contact:
  name: "Marc Kupietz"
  website: "https://corpora.ids-mannheim.de/derekovecs"
  department: "Digital Linguistics"
  email: "kupietz@ids-mannheim.de"
author:
  - name: "Marc Kupietz"
date: "2024-06-05"
affiliation:
  address: "IDS Mannheim"
---

# Introduction

bla bla bla

# Methods

bla bla bla

# Results

bla bla bla

# Discussion

bla bla bla
```

Then run the following command:

```bash
pandoc poster.md --to html4 --from markdown+autolink_bare_uris+tex_math_single_backslash --wrap preserve --section-divs --template https://gitlab.ids-mannheim.de/ids/posterdown/-/raw/master/inst/rmarkdown/templates/posterdown_ids/resources/template.html?ref_type=heads --highlight-style pygments '--mathjax=https://mathjax.rstudio.com/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML' --citeproc --output poster.html
```

View the resulting `poster.html` in your browser and print it as a PDF (don´t forget to tick print backgrounds and possibly select only the first page).
